List Revenue Contracts
curl --request GET \
--url https://api.meetcampfire.com/rev/api/v1/contractsimport requests
url = "https://api.meetcampfire.com/rev/api/v1/contracts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.meetcampfire.com/rev/api/v1/contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": 123,
"contract_number": "<string>",
"name": "<string>",
"entity_name": "<string>",
"client_name": "<string>",
"department_name": "<string>",
"payment_term_name": "",
"attachments": [
{
"id": 123,
"customer": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"created_by_name": "<string>",
"created_by_email": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"url": "<string>",
"s3_path": "<string>",
"app": "<string>",
"model": "<string>",
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"s3_content_type": "<string>",
"s3_content_length": 1073741823,
"object_id": 1073741823
}
],
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"entity": 123,
"client": 123,
"consultant": "<string>",
"crm_opportunity_id": "<string>",
"crm_link": "<string>",
"contract_link": "<string>",
"purchase_order_number": "<string>",
"department": 123,
"tags": [
123
],
"execution_date": "2023-12-25",
"service_start": "2023-12-25",
"service_end": "2023-12-25",
"terminated_date": "2023-12-25",
"currency": "<string>",
"termination_notice_days": 1073741823,
"payment_term": 123,
"header_discount": 0,
"renewed_into": 123
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Revenue
List Revenue Contracts
GET
/
rev
/
api
/
v1
/
contracts
List Revenue Contracts
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
⌘I